import { EntityMetadata } from "../metadata/EntityMetadata";
import { NamingStrategyInterface } from "../naming-strategy/NamingStrategyInterface";
import { ColumnMetadata } from "../metadata/ColumnMetadata";
import { TableMetadata } from "../metadata/TableMetadata";
import { LazyRelationsWrapper } from "../repository/LazyRelationsWrapper";
/**
 * Helps to create EntityMetadatas for junction tables.
 *
 * @internal
 */
export interface ClosureJunctionEntityMetadataBuilderArgs {
    namingStrategy: NamingStrategyInterface;
    table: TableMetadata;
    primaryColumn: ColumnMetadata;
    hasTreeLevelColumn: boolean;
}
/**
 * Helps to create EntityMetadatas for junction tables for closure tables.
 *
 * @internal
 */
export declare class ClosureJunctionEntityMetadataBuilder {
    build(lazyRelationsWrapper: LazyRelationsWrapper, args: ClosureJunctionEntityMetadataBuilderArgs): EntityMetadata;
}
