import { EntityMetadata } from "../metadata/EntityMetadata";
import { NamingStrategyInterface } from "../naming-strategy/NamingStrategyInterface";
import { EntitySchema } from "../metadata/entity-schema/EntitySchema";
import { LazyRelationsWrapper } from "../repository/LazyRelationsWrapper";
/**
 * Aggregates all metadata: table, column, relation into one collection grouped by tables for a given set of classes.
 *
 * @internal
 */
export declare class EntityMetadataBuilder {
    buildFromSchemas(lazyRelationsWrapper: LazyRelationsWrapper, namingStrategy: NamingStrategyInterface, schemas: EntitySchema[]): EntityMetadata[];
    /**
     * Builds a complete metadata aggregations for the given entity classes.
     */
    buildFromMetadataArgsStorage(lazyRelationsWrapper: LazyRelationsWrapper, namingStrategy: NamingStrategyInterface, entityClasses?: Function[]): EntityMetadata[];
    private build(lazyRelationsWrapper, metadataArgsStorage, namingStrategy, entityClasses?);
}
