import { EntityMetadata } from "../metadata/EntityMetadata";
import { NamingStrategyInterface } from "../naming-strategy/NamingStrategyInterface";
import { TableMetadata } from "../metadata/TableMetadata";
import { JoinTableMetadata } from "../metadata/JoinTableMetadata";
import { LazyRelationsWrapper } from "../repository/LazyRelationsWrapper";
/**
 * Helps to create EntityMetadatas for junction tables.
 *
 * @internal
 */
export interface JunctionEntityMetadataBuilderArgs {
    namingStrategy: NamingStrategyInterface;
    firstTable: TableMetadata;
    secondTable: TableMetadata;
    joinTable: JoinTableMetadata;
}
/**
 * Helps to create EntityMetadatas for junction tables.
 *
 * @internal
 */
export declare class JunctionEntityMetadataBuilder {
    build(lazyRelationsWrapper: LazyRelationsWrapper, args: JunctionEntityMetadataBuilderArgs): EntityMetadata;
}
